OyeFilmy Logo
personFreeUpgrade
bolt0cr
U

Audio generation API

Audio Generation

Generate music, speech, voice clones, and sound effects using OyeFilmy's audio APIs.

Audio capabilities

music_note

Music Generation

Songs and instrumentals from a style prompt and optional lyrics, via MiniMax Music 2.6.

record_voice_over

Text-to-Speech

Natural speech from text with ElevenLabs v2/v3, Seed Audio, xAI TTS and Gemini TTS.

Audio models

Model keyProviderTypeAtlas slug
minimax-musicMiniMaxMusicminimax/music-2.6
elevenlabs-v3ElevenLabsTTSelevenlabs/v3/text-to-speech
elevenlabs-v2ElevenLabsTTStts-1
seed-audioByteDanceTTSbytedance/seed-audio-1.0
xai-tts-v1xAITTStts-1-hd
gemini-proGoogleTTStts-1-hd

Audio endpoints

EndpointDescription
POST /api/generateGenerate music or speech — pass an audio modelKey. This is the only audio endpoint available to API keys.

Adding SFX to a video and scoring a video with background music exist in the OyeFilmy studio but are signed-in dashboard features — they do not accept API keys, so they are not part of the public API.

Quick example — Generate a song

curl -X POST https://api.oyefilmy.com/api/generate \
  -H "Authorization: Bearer of_live_YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "modelKey": "minimax-music",
    "prompt": "An upbeat Bollywood pop song about summer love, Hindi lyrics, catchy chorus"
  }'

Quick example — Text-to-Speech

curl -X POST https://api.oyefilmy.com/api/generate \
  -H "Authorization: Bearer of_live_YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "modelKey": "elevenlabs-v3",
    "prompt": "Welcome to OyeFilmy, the future of AI-powered creative production.",
    "voiceId": "alloy"
  }'

Available voices for TTS

Voice IDNameGender
alloyRachelFemale
echoAdamMale
fableDomMale
onyxDaveMale
novaSarahFemale
shimmerEmilyFemale
ashCallumMale
coralDorothyFemale
sageLouiseFemale
balladJoshMale